Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
training_dataset = client.training_datasets.retrieve(
"training_dataset_id",
)
print(training_dataset.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
trainingDataset, err := client.TrainingDatasets.Get(context.TODO(), "training_dataset_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", trainingDataset.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/training-datasets/{training_dataset_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/training-datasets/{training_dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"schema_type": "GENERATION",
"data_source": "S3",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Training Datasets V3 (Beta)
Get Training Dataset
Description
Gets the details of a training dataset
Details
This API can be used to get information about a single training dataset by ID. To use this API, pass in the id that was returned from your Create Training Dataset API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
training-datasets
/
{training_dataset_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
training_dataset = client.training_datasets.retrieve(
"training_dataset_id",
)
print(training_dataset.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
trainingDataset, err := client.TrainingDatasets.Get(context.TODO(), "training_dataset_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", trainingDataset.ID)
}
Path Parameters
Response
Successful Response
The name of the dataset
The schema type of the dataset, currently only GENERATION is supported
Available options:
GENERATION, RERANKING_QUESTIONS The data source of the dataset, used to determine how to parse the location
Available options:
S3, SharePoint, SharePointPage, LocalFile, LocalChunks, GoogleDrive, AzureBlobStorage, GoogleCloudStorage, Confluence, Slack, Snowflake, Databricks, SQLDatabase, MongoDB, BigQuery The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account 
